<?php

/**
*
* @package - Ucp_SliderMenu_Users
* @version $Id: ucp_slidermenu_users.php 2013-06-03 12:34 Tigerman75 (Tiger) $
* @copyright (c) Tigerman75 (Tiger)( http://www.phpbbmods.it )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
//Package Ucp
class ucp_slidermenu_users
{
	var $u_action;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template, $cache;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		include($phpbb_root_path . 'includes/ucp/info/ucp_slidermenu_users.' . $phpEx);
		
			$user->add_lang('mods/info_acp_slider_menu');

			$submit = (isset($_POST['submit'])) ? true : false;
			$error = $data = array();
			
			switch ($mode)
			{
				case 'configuration':
			
					$data = array(
						'user_menuslider_enable'		=> request_var('user_menuslider_enable', (bool) $user->data['user_menuslider_enable']),
						'user_menuslider_sx_enable'		=> request_var('user_menuslider_sx_enable', (bool) $user->data['user_menuslider_sx_enable']),
						'user_menuslider_dx_enable'		=> request_var('user_menuslider_dx_enable', (bool) $user->data['user_menuslider_dx_enable']),
					);
			
					add_form_key('ucp_slidermenu_users');
			
					if ($submit)
					{
						if (!check_form_key('ucp_slidermenu_users'))
						{
						$error[] = 'FORM_INVALID';
					}
				
				if (!sizeof($error))
				{
					$sql_ary = array(
						'user_menuslider_enable'		=> $data['user_menuslider_enable'],
						'user_menuslider_sx_enable'		=> $data['user_menuslider_sx_enable'],
						'user_menuslider_dx_enable'		=> $data['user_menuslider_dx_enable'],
					);
				
					if (sizeof($sql_ary))
					{
						$sql = 'UPDATE ' . USERS_TABLE . '
							SET ' . $db->sql_build_array('UPDATE', $sql_ary) . '
							WHERE user_id = ' . $user->data['user_id'];
						$db->sql_query($sql);
					}
				
					meta_refresh(3, $this->u_action);
					$message = $user->lang['PREFERENCES_UPDATED'] . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
					trigger_error($message);
			}
			
			// Replace "error" strings with their real, localised form
			$error = preg_replace('#^([A-Z_]+)$#e', "(!empty(\$user->lang['\\1'])) ? \$user->lang['\\1'] : '\\1'", $error);
		}	
		
		$template->assign_vars(array(
			'ERROR'			=> (sizeof($error)) ? implode('<br />', $error) : '',
			'S_MENUSLIDER_UCP_ENABLE'		=> $data['user_menuslider_enable'],
			'S_MENUSLIDER_UCP_SX_ENABLE'		=> $data['user_menuslider_sx_enable'],
			'S_MENUSLIDER_UCP_DX_ENABLE'		=> $data['user_menuslider_dx_enable'],
		));
	break;

}

$template->assign_vars(array(
			'L_TITLE'			=> $user->lang['UCP_SLIDERMENU_PROFILE'],
			'S_UCP_ACTION'		=> $this->u_action
));

// Set template
		$this->tpl_name = 'ucp_slidermenu_users';
		$this->page_title = 'UCP_SLIDERMENU_PROFILE';
	}
}

?>